%define major 2
%define minor 0
%define micro 13
%define extra %{nil}
%define rpm_release 3
%define release_name firmware-extract
%define release_version %{major}.%{minor}.%{micro}%{extra}

# Define python_sitelib for versions of RPM that dont natively define it.
# Per fedora guidelines, not needed on F13+, but needed on RHEL4,5 and some SLES.
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           firmware-extract
Version:        %{release_version}
Release:        %{rpm_release}%{?dist}
Summary:        A firmware-tools plugin to add firmware extraction from vendor binaries

Group:          Applications/System
License:        GPLv2+ and OSL 2.1
URL:            http://linux.dell.com/libsmbios/download/
Source0:        http://linux.dell.com/libsmbios/download/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# SUSE doesnt have noarch python, so for SUSE, always build arch-dependent
%if ! 0%{?suse_version}
BuildArch: noarch
%endif

# SUSE build has anal directory ownership check. RPM which owns all dirs *must*
# be installed at buildtime. This means we have to BuildRequire them, even if
# we dont really need them at build time.
%if 0%{?suse_version}
BuildRequires: firmware-tools
%endif


BuildRequires:  python-devel
Requires: firmware-tools >= 0:2.0
Requires: python-sqlite2, python-sqlobject

%description
A firmware-tools plugin which adds the --extract mode to firmwaretool.

%prep
%setup -q


%build
# this line lets us build an RPM directly from a git tarball
[ -e ./configure ] || ./autogen.sh

%configure
make -e %{?_smp_mflags}


%install
# Fedora Packaging guidelines
rm -rf %{buildroot}
# SUSE Packaging rpmlint
mkdir %{buildroot}

make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

mkdir -p %{buildroot}/%{_localstatedir}/lib/%{name}/extract/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING-GPL COPYING-OSL README
%{python_sitelib}/*
%{_datadir}/firmware-tools/plugins/*
%config(noreplace) %{_sysconfdir}/firmware/firmware.d/*.conf
%dir %{_localstatedir}/lib/%{name}/
%dir %{_localstatedir}/lib/%{name}/extract/
#%attr(0755,root,root) %{_bindir}/*


%changelog
* Wed Oct 6 2010 Michael Brown <Michael_E_Brown@dell.com> - 2.0.13-3
- minor spec file updates per fedora package review

* Fri Jun 19 2009 Matt Domsch <Matt_Domsch@dell.com> - 2.0.7-1
- Move runtime data to /var/lib/firmware-extract/

* Mon Mar 12 2007 Michael E Brown <michael_e_brown at dell.com> - 1.2.0-1
- Fedora-compliant packaging changes.
